"""
    Module containing functions for controlling the power supplies
"""

# import the necessary module
import ctypes as ctp

# these will be initialized in the main program
dwf = None
hdwf = None


def enable(state):
    # power supply master switch
    dwf.FDwfAnalogIOEnableSet(hdwf, ctp.c_int(state))
    return


def initialize(positive_voltage, negative_voltage):
    # enable variable supplies and set voltages
    dwf.FDwfAnalogIOChannelNodeSet(
        hdwf, ctp.c_int(0), ctp.c_int(0), ctp.c_double(True))
    dwf.FDwfAnalogIOChannelNodeSet(hdwf, ctp.c_int(
        0), ctp.c_int(1), ctp.c_double(positive_voltage))
    dwf.FDwfAnalogIOChannelNodeSet(
        hdwf, ctp.c_int(1), ctp.c_int(0), ctp.c_double(True))
    dwf.FDwfAnalogIOChannelNodeSet(hdwf, ctp.c_int(
        1), ctp.c_int(1), ctp.c_double(negative_voltage))
    return
